Index: /extensions/Evil_Blog/config.tpl
===================================================================
--- /extensions/Evil_Blog/config.tpl	(revision 31377)
+++ /extensions/Evil_Blog/config.tpl	(revision 31378)
@@ -1,3 +1,2 @@
-<div id="content">
 		<div class="titrePage">
 			<h2>{'Customize'|@translate} Evil Blog</h2>
@@ -54,3 +53,2 @@
 			</fieldset>
 		</form>
-</div>
Index: /extensions/Evil_Blog/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/Evil_Blog/language/da_DK/plugin.lang.php	(revision 31377)
+++ /extensions/Evil_Blog/language/da_DK/plugin.lang.php	(revision 31378)
@@ -27,15 +27,15 @@
 $lang['news'] = 'Nyheder';
 $lang['post_appearance'] = 'Tilpasning af udseende';
-$lang['post_header'] = 'Overskrift';
+$lang['post_header'] = 'Header';
 $lang['post_is_deleted'] = 'Indlæg er slettet';
 $lang['post_is_saved'] = 'Indlæg er gemt';
 $lang['post_modified'] = 'Indlæg er ændret';
-$lang['post_no_name'] = 'Angiv overskrift';
+$lang['post_no_name'] = 'Angiv indlægs header';
 $lang['post_text'] = 'Tekst';
 $lang['posts_per_pages'] = 'Antal indlæg pr. side';
-$lang['show_date'] = 'Vis udgivelsesdato';
+$lang['show_date'] = 'Vis indlægs dato';
 $lang['show_number'] = 'Vis antal indlæg';
 $lang['show_on_main_page'] = 'Vis på forside';
 $lang['back'] = 'Tilbage';
-$lang['show_on_category_page'] = 'Vis på albumside';
+$lang['show_on_category_page'] = 'Vis på kategoriside';
 ?>
Index: /extensions/Evil_Blog/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/Evil_Blog/language/es_ES/plugin.lang.php	(revision 31377)
+++ /extensions/Evil_Blog/language/es_ES/plugin.lang.php	(revision 31378)
@@ -38,4 +38,3 @@
 $lang['show_on_main_page'] = 'Mostrar el la pagina principal';
 $lang['back'] = 'Atrás';
-$lang['show_on_category_page'] = 'Mostrar en la página de categorias';
 ?>
Index: /extensions/Evil_Blog/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/Evil_Blog/language/pl_PL/plugin.lang.php	(revision 31377)
+++ /extensions/Evil_Blog/language/pl_PL/plugin.lang.php	(revision 31378)
@@ -38,4 +38,3 @@
 $lang['show_number'] = 'Pokaż liczbę postów';
 $lang['show_on_main_page'] = 'Pokaż na głównej stronie';
-$lang['show_on_category_page'] = 'Wyświetl na stronie kategorii';
 ?>
Index: /extensions/Evil_Blog/main.inc.php
===================================================================
--- /extensions/Evil_Blog/main.inc.php	(revision 31377)
+++ /extensions/Evil_Blog/main.inc.php	(revision 31378)
@@ -1,5 +1,5 @@
 <?php
 /*
-Version: 1.2.1
+Version: 1.2.3
 Plugin Name: Evil_Blog
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=611
@@ -17,5 +17,9 @@
 define('Evil_Blog_Table', $prefixeTable."evil_blog");
 //Включаем перевод плагина
-load_language('plugin.lang', Evil_Blog_PATH);
+add_event_handler('loading_lang', 'Evil_Blog_loading_lang');
+function Evil_Blog_loading_lang()
+{
+  load_language('plugin.lang', Evil_Blog_PATH);
+}
 
 //Делаем пункт меню в админке
Index: /extensions/Evil_Blog/maintain.inc.php
===================================================================
--- /extensions/Evil_Blog/maintain.inc.php	(revision 31377)
+++ /extensions/Evil_Blog/maintain.inc.php	(revision 31378)
@@ -9,5 +9,5 @@
   $query = 'SHOW TABLES LIKE "' . $prefixeTable . 'evil_blog"';
   $result = pwg_query($query);
-  if (!mysql_fetch_row($result))
+  if (!pwg_db_fetch_row($result))
 	{
 	$query = 
@@ -56,5 +56,5 @@
 	$query = 'SHOW TABLES LIKE "' . $prefixeTable . 'evil_blog"';
 	$result = pwg_query($query);
-  if (!mysql_fetch_row($result))
+  if (!pwg_db_fetch_row($result))
 	{
 	$query = 
Index: /extensions/Evil_Blog/manage.tpl
===================================================================
--- /extensions/Evil_Blog/manage.tpl	(revision 31377)
+++ /extensions/Evil_Blog/manage.tpl	(revision 31378)
@@ -1,3 +1,2 @@
-<div id="content">
 		<div class="titrePage">
 			<h2>Evil Blog</h2>
@@ -11,7 +10,5 @@
 				<tr><td colspan="2"><br>
 					<b>{'post_text'|@translate}</b><br>
-					<textarea name="post_textarea" rows="15" style="width:100%;">
-						{if isset($CONTENT)}{$CONTENT}{/if}
-					</textarea>
+					<textarea name="post_textarea" rows="15" style="width:100%;">{if isset($CONTENT)}{$CONTENT}{/if}</textarea>
 				</td></tr>
 				<tr><td>
@@ -34,6 +31,8 @@
 	</form>
 
-	<script type="text/javascript">{literal}
-	window['opened_edit_form'] = false;
+	{footer_script}{literal}
+	$(document).ready(function(){
+		window['opened_edit_form'] = false;
+	});
 	function close_edit_form (val) {
 		$('input[name="edit_post_id"]').remove();
@@ -43,5 +42,5 @@
 		$('#post_header_'+val).text(window.p_header);
 		
-		$('textarea[name]"edit_post_text"').remove();
+		$('textarea[name="edit_post_text"]').remove();
 		$('#post_text_'+val).html(window.p_text);
 		
@@ -60,8 +59,8 @@
 		
 		$('#post_text_'+val).html('<textarea name="edit_post_text" rows="15" style="width:100%;">'+$('#post_text_'+val).html()+'</textarea>');
-		window['p_text'] = $('textarea[name]"edit_post_text"').text();
+		window['p_text'] = $('textarea[name="edit_post_text"]').text();
 		
 		$('<input type="text" name="edit_post_id" value="'+$('#post_id_'+val).text()+'">').insertAfter('#post_text_'+val);
-		$('<input type="button" name="cansel_post_form" value="Cansel" onClick="return close_edit_form('+val+')">').insertAfter('#post_text_'+val);
+		$('<input type="button" name="cansel_post_form" value="Cancel" onClick="return close_edit_form('+val+')">').insertAfter('#post_text_'+val);
 		$('<input type="submit" name="edit_submit_post" value="Submit">').insertAfter('#post_text_'+val);
 		window.opened_edit_form = true;
@@ -70,6 +69,5 @@
 		}
 	}
-	{/literal}
-	</script>
+	{/literal}{/footer_script}
 	
 	<form name="edit_form" action="#" method="POST">
@@ -93,7 +91,5 @@
 							</li>
 						</ul>
-						<div id="post_text_{$value.id}" class="description">
-							{$value.text}
-						</div>
+						<div id="post_text_{$value.id}" class="description">{$value.text}</div>
 					</div>
 				</li>
@@ -125,4 +121,2 @@
 		</div>
 		</form>
-	
-</div>