Index: /extensions/BanIP/admin.php
===================================================================
--- /extensions/BanIP/admin.php	(revision 31393)
+++ /extensions/BanIP/admin.php	(revision 31394)
@@ -41,5 +41,5 @@
 
     $tabsheet = new tabsheet();
-    $tabsheet->add('banip', l10n('IP ban'), BANIP_ADMIN . '-banip');
+    $tabsheet->add('banip', l10n('Ban IP'), BANIP_ADMIN . '-banip');
     $tabsheet->select($page['tab']);
     $tabsheet->assign();
@@ -47,7 +47,8 @@
 switch ($page['tab']) {
     case 'banip':
-	  $template->assign(
+    $admin_base_url = BANIP_ADMIN . '-banip';	
+	$template->assign(
        'ipbangest', array(
-       'A' => 'a'
+          'U_DELETEALL' => $admin_base_url . '&amp;deleteall',
     ));
 	$ipban = pwg_query("SELECT * FROM " . BANIP_TABLE . ";");
@@ -55,5 +56,5 @@
 	$template->func_combine_css(array('id'=>'dst','path'=>BANIP_PATH.'banip.css'));
 	
-    $admin_base_url = BANIP_ADMIN . '-banip';
+   
         if (pwg_db_num_rows($ipban)) {
             while ($ipban2 = pwg_db_fetch_assoc($ipban)) {
@@ -92,9 +93,10 @@
 }  
 
-if (isset($_POST['submitdeleteall'])) {
+  if (isset($_GET['deleteall'])) {
 	$query = 'DELETE FROM ' . BANIP_TABLE . ';';
     pwg_query($query);
 	redirect($admin_base_url);
-}
+  }
+
 
 //add ban
Index: /extensions/BanIP/admin.tpl
===================================================================
--- /extensions/BanIP/admin.tpl	(revision 31393)
+++ /extensions/BanIP/admin.tpl	(revision 31394)
@@ -1,43 +1,54 @@
+{footer_script}
+jQuery(document).ready(function(){
+
+  jQuery('#submitipban').click(function(){
+    jQuery("#banip_edit").toggle();
+	jQuery("#ipedit").hide();
+    jQuery("input[name=submitaddipban]").focus();
+  });
+  
+  jQuery('.lip').mouseover(function(){
+    jQuery(this).children('span').show();
+  });
+  jQuery('.lip').mouseout(function(){
+    jQuery(this).children('span').hide();
+  });
+
+});
+{/footer_script}
+
 <div class="titrePage">
-  <h2>{'IP ban'|@translate}</h2>
+  <h2>{'Ban IP'|@translate}</h2>
 </div>
+{if isset ($ipbangest)}
+	<p class="showCreateAlbum" id="showAddIP">
+	  <a href="#" id="submitipban" class="icon-plus-circled mouse">{'Ban new IP address'|translate}</a>
+    | <a href="{$ipbangest.U_DELETEALL}" onclick="return confirm('{'Are you sure?'|@translate|@escape:javascript}');"><span class="icon-trash mouse"></span>{'Delete all IP Ban'|@translate}</a>  
+
+	</p>
+{/if}
+  <div id="banip_edit" style="display: none;">
+	<form method="post">
+		<fieldset>
+			<legend>{'Ban new IP address'|@translate}</legend>
+			{'IP'|@translate} <input " type="text" name="inserip" data-ip placeholder="123.123.123.123/123.123.123.*" value="" size="50" maxlenght="50" required pattern="^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?|\*)$">
+			<br>
+			<br>
+			<input class="submit" name="submitaddipban" type="submit" value="{'Add'|@translate}" />
+		</fieldset>
+	</form>
+  </div>
 {if isset ($ipbangest)}
 <form method="post" >
 	<fieldset>
-		<input class="submit" name="submitipban" type="submit" value="{'Add IP ban or IP address range'|@translate}" />
-		<input class="submit" name="submitdeleteall" type="submit" onclick="return confirm('{'Are you sure?'|@translate|@escape:'javascript'}');" value="{'Delete all IP Ban'|@translate}"/>
-	</fieldset>
-</form>
-{/if}
-{if isset ($ipban_add)}
-	<form method="post">
-		<fieldset>
-			<legend>{'Add IP ban or IP address range'|@translate}</legend>
-			{'IP'|@translate} <input " type="text" name="inserip" data-ip placeholder="123.123.123.123/123.123.123.*" value="" size="50" maxlenght="50" required pattern="^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?|\*)$">
-			<br>
-			<br>
-				<div style="text-align:center;">
-				<input class="submit" name="submitaddipban" type="submit" value="{'Submit'|@translate}" />
-				</div>
-		</fieldset>
-	</form>
-{/if}
-{if isset ($ipbangest)}
-<form method="post" >
-	<fieldset>
-	  <legend>{'List IP banned and IP address range'|@translate}</legend>
-	   <table class="lban">
+	  <legend>{'List IP banned'|@translate}</legend>
 		{foreach from=$ipban2 item=ipban}
-		  <tr>
-			<td><!-- {$ipban.ID} --> {$ipban.IP}</td>
-			<td>
-			<a href="{$ipban.U_EDIT}">
-				<img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/edit_s.png" alt="{'edit'|@translate}" title="{'edit'|@translate}" />
-			</a>
-			<a href="{$ipban.U_DELETE}" onclick="return confirm( document.getElementById('btn_delete').title + '\n\n' + '{'Are you sure?'|@translate|@escape:'javascript'}');">
-				<img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/delete.png" id="btn_delete" alt="{'delete'|@translate}" title="{'Delete'|@translate}" />
-			</a>
-			</td>
-		  </tr>
+			<div class="lip">
+			<!-- {$ipban.ID} --> {$ipban.IP}
+			  <span class="actionip" style="display: none">
+				<a href="{$ipban.U_EDIT}"><span class="icon-pencil"></span>{'Edit'|@translate}</a>
+				| <a href="{$ipban.U_DELETE}" onclick="return confirm('{'Are you sure?'|@translate|@escape:javascript}');"><span class="icon-trash"></span>{'delete'|@translate}</a>
+			  </span>
+			</div>
 		{/foreach}
 	 </table>
@@ -46,14 +57,12 @@
 {/if}
 {if isset ($ipban_edit)}
-	<form method="post" >
+	<form method="post" id="ipedit">
 		<fieldset>
-			<legend>{'Edit IP banned or IP address range'|@translate}</legend>
+			<legend>{'Edit IP banned'|@translate}</legend>
 			<input type="hidden" name="invisibleID" value="{$ipban_edit.ID}">
 			{'IP'|@translate} <input " type="text" name="inserip" data-ip="1" placeholder="123.123.123.123/123.123.123.*" value="{$ipban_edit.IP}" size="50" maxlenght="50" required pattern="^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?|\*)$">
 			<br>	
 			<br>
-				<div style="text-align:center;">
-				<input class="submit" name="submitaddipban2" data-ip type="submit" value="{'Submit'|@translate}" />
-				</div>
+			<input class="submit" name="submitaddipban2" data-ip type="submit" value="{'Update'|@translate}" />
 		</fieldset>
 	</form>
Index: /extensions/BanIP/banip.css
===================================================================
--- /extensions/BanIP/banip.css	(revision 31393)
+++ /extensions/BanIP/banip.css	(revision 31394)
@@ -1,5 +1,2 @@
-input:required{
-  background:url(aste.jpg) 98% center no-repeat;
-}
 input:focus:invalid{
   border-color:#FF0000;
@@ -21,2 +18,6 @@
   background-color:green;
 }
+
+.mouse:hover{
+    cursor:pointer;
+}
Index: /extensions/BanIP/language/en_UK/description.txt
===================================================================
--- /extensions/BanIP/language/en_UK/description.txt	(revision 31393)
+++ /extensions/BanIP/language/en_UK/description.txt	(revision 31394)
@@ -1,1 +1,1 @@
-Ban adresse IP or range adresse IP
+Ban adresse IP or range adresse IP.
Index: /extensions/BanIP/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/BanIP/language/en_UK/plugin.lang.php	(revision 31393)
+++ /extensions/BanIP/language/en_UK/plugin.lang.php	(revision 31394)
@@ -22,19 +22,19 @@
 //admin
 $lang['IP ban'] = 'IP ban';
+$lang['Range IP address banned'] = 'Range IP address banned';
+$lang['Ban IP'] = 'Ban IP';
 $lang['IP ban deleted'] = 'IP ban deleted';
-$lang['Ip ban update'] = 'Ip ban update';
-$lang['Ip ban insert'] = 'Ip ban insert';
-$lang['Add IP ban or IP address range'] = 'Add IP ban or IP address range';
-$lang['IP banned'] = 'IP banned';
-$lang['List IP banned and IP address range'] = 'List IP banned and IP address range';
-$lang['Edit IP banned or IP address range'] = 'Edit IP banned or IP address range';
-$lang['IP'] = 'IP';
-$lang['Ban IP'] = 'Ban IP';
-$lang['Range IP address banned'] = 'Range IP address banned';
-$lang['Delete all IP Ban'] = 'Delete all IP Ban';
 $lang['This Isn\'t an IP'] = 'This Isn\'t an IP';
 $lang['Range IP already banned'] = 'Range IP already banned';
 $lang['IP is in a range banned'] = 'IP is in a range banned';
-$lang['IP is in a range banned'] = 'IP is in a range banned';
 $lang['IP already banned'] = 'IP already banned';
-$lang['Range Ip ban update'] = 'Range Ip ban update';
+$lang['Range Ip ban insert'] = 'Range Ip ban insert';
+$lang['Ip ban insert'] = 'Ip ban insert';
+$lang['Ip ban update'] = 'Ip ban update';
+$lang['Delete all banned IP addresses'] = 'Delete all banned IP addresses';
+$lang['Ban new IP address'] = 'Ban new IP address';
+$lang['IP'] = 'IP';
+$lang['List IP banned'] = 'List IP banned';
+$lang['Edit IP banned'] = 'Edit IP banned';
+$lang['Update'] = 'Update';
+
Index: /extensions/BanIP/language/fr_FR/description.txt
===================================================================
--- /extensions/BanIP/language/fr_FR/description.txt	(revision 31393)
+++ /extensions/BanIP/language/fr_FR/description.txt	(revision 31394)
@@ -1,1 +1,1 @@
-Bannir une adresses ip ou une plage d'adresse ip
+Bannir une adresses ip ou une plage d'adresse ip.
Index: /extensions/BanIP/main.inc.php
===================================================================
--- /extensions/BanIP/main.inc.php	(revision 31393)
+++ /extensions/BanIP/main.inc.php	(revision 31394)
@@ -3,6 +3,6 @@
 Plugin Name: BanIP
 Version: auto
-Description: Ban IP
-Plugin URI: http://piwigo.org/ext/extension_view.php?eid=
+Description: Ban adresse IP or range adresse IP.
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=824
 Author: ddtddt
 Author URI: http://www.temmii.com