Index: /extensions/adult_content/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/adult_content/language/de_DE/plugin.lang.php	(revision 31397)
+++ /extensions/adult_content/language/de_DE/plugin.lang.php	(revision 31398)
@@ -21,32 +21,32 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['ac_button_activ_16'] = 'Aktivieren Sie erotische Inhalte';
-$lang['ac_button_activ_18'] = 'Aktivieren Sie pornographische Inhalte';
-$lang['ac_charte_user_def'] = 'andernfalls klicken Sie hier ';
-$lang['ac_charte_user_not'] = 'Bitte wählen Sie Ihr Alter!';
+$lang['ac_button_activ_16'] = 'Erotische Inhalte aktivieren';
+$lang['ac_button_activ_18'] = 'Pornographische Inhalte aktivieren';
+$lang['ac_charte_user_def'] = 'andernfalls hier klicken';
+$lang['ac_charte_user_not'] = 'Bitte geben Sie Ihr Alter an!';
 $lang['ac_def'] = 'Möchten Sie ihren Status ändern?';
 $lang['ac_fermer'] = 'oder schließen';
-$lang['ac_identif'] = 'oder loggen Sie sich ein';
+$lang['ac_identif'] = 'oder anmelden';
 $lang['ac_lien'] = 'Diesen Schutz entfernen';
-$lang['ac_logout'] = 'andernfalls klicken Sie hier ';
+$lang['ac_logout'] = 'andernfalls hier klicken';
 $lang['ac_retour_b'] = 'Ich möchte diese Art von Inhalten nicht sehen.';
 $lang['ac_retour'] = 'Ich möchte diese Art von Inhalten nicht aktivieren und zur vorherigen Seite zurückkehren.';
 $lang['ac_statut'] = 'Ihr Status:';
-$lang['ac_text'] = 'Diese Galerie enthält Bilder für reife Personen und/ oder Erwachsene.';
+$lang['ac_text'] = 'Diese Galerie enthält Bilder für Erwachsene.';
 $lang['ac_title_fermer'] = 'Inhalt gefiltert';
 $lang['ac_title_menu_statut'] = 'Information';
 $lang['ac_title_menu'] = 'Warnung';
 $lang['ac_user_no_s'] = 'Inhalt gefiltert';
-$lang['ac_user_no'] = 'Sie möchten nicht, diese Art von Inhalt aktivieren';
+$lang['ac_user_no'] = 'Sie möchten diese Art von Inhalten nicht aktivieren';
 $lang['ac_user_text_16'] = 'Sie sind 16 oder 17 Jahre alt';
 $lang['ac_user_text_18'] = 'Sie sind älter als 18 Jahre';
-$lang['ad_c_menublock_for_guest'] = 'Erlaube unregistrierten Benutzern das Alter auszuwählen?';
+$lang['ad_c_menublock_for_guest'] = 'Unregistrierten Benutzern erlauben, das Alter auszuwählen?';
 $lang['ad_c_send'] = 'Änderungen speichern';
-$lang['ac_not_def'] = 'Dieser Vorgang ist wichtig, wird aber nicht noch einmal erfragt';
-$lang['ac_retour_c'] = 'Zurück auf die vorherige Seite';
-$lang['ac_text_charte'] = 'Sie betreten eine Website mit visuellen erotischen und/ oder pornografischen Inhalten, die für die Öffentlichkeit bestimmt sind und vor denen Sie gewarnt wurden. 
-Diese Webseite spricht nur bereitwillige Personen an. 
-Die vorliegende Webseite lehnt jede Verantwortung für die durch den Inhalt und deren Dienste schockierten Personen ab. 
-Jede Person, die trotz eingehender Warnung, ihre Zustimmung zum betreten dieser Seite gibt, befreit diese Seite von allen Konsequenzen daraus.</ p>
+$lang['ac_not_def'] = 'Dieser Ablauf ist zwingend, Sie werden aber nicht noch einmal gefragt';
+$lang['ac_retour_c'] = 'Zurück zur vorhergehenden Seite';
+$lang['ac_text_charte'] = 'Sie betreten eine Website mit visuellen erotischen und/ oder pornografischen Inhalten und vor denen Sie gewarnt wurden.
+Diese Webseite spricht nur Personen an, die damit explizit einverstanden sind. 
+Die vorliegende Webseite lehnt jede Verantwortung für die Inhalte ab.
+Jede Person, die trotz eingehender Warnung, ihre Zustimmung zum Betreten dieser Seite gibt, befreit diese Seite von allen Konsequenzen daraus.</ p>
 <p> Wenn ich eine dieser Zusagen nicht einhalte oder eine falsche Erklärung abgebe, kann ich eventuell die Gesetze meines Landes verletzen, und <B> übernehme damit die volle Verantwortung für mein Handeln </ B>. Ich erkläre hiermit, vollständig über die angebotenen Inhalte informiert worden zu sein und verzichte auf irgendwelche rechtlichen Schritte gegen den Provider und den Administrator dieser Webseite. Ich lese aufmerksam vorstehende Absätze und gebe elektronisch mein Einverständnis, indem ich mein entsprechendes Alter anklicke.';
 $lang['ad_c_linktolang'] = 'Zur Sprach-Datei der nicht jugendfreien Inhalte gehen (LocalFiles Editor aktiviert)';
@@ -63,16 +63,13 @@
 - <B>dass ich nach den Gesetzen meines Landes über 18 Jahre alt bin und ein Erwachsener. </ B> <br>
 - Ich bin über die Inhalte dieser Webseite mit erotischen und pornografischen Bildern gewarnt worden. <br>
-- Die Gesetze meines Landes erlauben mir den Zutritt zu dieser Seite.
-Diese 2 Gruppen Konten können nicht vom Benutzer geändert werden, sondern nur durch den Administrator.
-Sie öffnen und wählen das Aussehen, je nach Alter der Besucher über diese beiden Gruppen Konten. <br />
-<br />
+- Die Gesetze meines Landes erlauben mir den Zutritt zu dieser Seite.';
 2.3 - Mögliche Anpassungen <br />
 <br />
 Sie können dieses Plugin für die nicht jugendfreien Inhalte anpassen, indem Sie einfach die Sprache des Plugins wechseln.
 (verwenden Sie einfach das Plugin "Local Files Editor") Die Altersgrenzen können auch auf diese Weise verändert werden.';
-$lang['No options. Just check "Allow unregistered users to select their age?" on the Adult Content administration page'] = 'Keine Optionen. Aktiviere "Erlaube nicht registrierten Besuchern das Alter auszuwählen?" auf der Aduld Content Administrations Seite.';
-$lang['Disclaimer for the guest, with the ability to choose its age to unlock the adult content'] = 'Hinweis für Gäste, mit der Möglichkeit das eigene Alter anzugeben';
-$lang['NEW! Check the Plugin PWG Stuffs to add the disclaimer on the index/album pages'] = 'NEU! Plugin PWG Stuffs ausprobieren, um einen Disclaimer für die Startseite und die  Albumseiten zu erstellen.';
-$lang['ad_c_howitworks'] = 'Das Prinzip des Plugins ist, bei der Verwaltung von jugendfreien 
+$lang['No options. Just check "Allow unregistered users to select their age?" on the Adult Content administration page'] = 'Keine Optionen. »Nicht registrierten Besuchern erlauben, das Alter auszuwählen« auf der  «Adult Content«-Administrationsseite.';
+$lang['Disclaimer for the guest, with the ability to choose its age to unlock the adult content'] = 'Haftungsausschluss für Gäste, mit der Möglichkeit das eigene Alter anzugeben';
+$lang['NEW! Check the Plugin PWG Stuffs to add the disclaimer on the index/album pages'] = 'NEU! Plugin PWG Stuffs ausprobieren, um einen Haftungsausschluss für die Startseite und die  Albumseiten zu erstellen.';
+$lang['ad_c_howitworks'] = 'Der Zweck des Plugins ist es, bei der Verwaltung von jugendfreien 
 Inhalten zu helfen (es kann auch für gewalttätige Inhalte angepasst 
 werden). Dazu verwaltet das Plugin die Besucher und/oder Nutzer nach 
@@ -137,2 +134,6 @@
 Sie können dieses Plugin für die nicht jugendfreien Inhalte anpassen, indem Sie einfach die Sprache des Plugins wechseln.
 (verwenden Sie einfach das Plugin "Local Files Editor") Die Altersgrenzen können auch auf diese Weise verändert werden.';
+2.3 - Mögliche Anpassungen <br />
+<br />
+Sie können dieses Plugin für die nicht jugendfreien Inhalte anpassen, indem Sie einfach die Sprache des Plugins wechseln.
+(verwenden Sie einfach das Plugin "Local Files Editor") Die Altersgrenzen können auch auf diese Weise verändert werden.';