Index: /extensions/manage_properties_photos/admin.php
===================================================================
--- /extensions/manage_properties_photos/admin.php	(revision 31408)
+++ /extensions/manage_properties_photos/admin.php	(revision 31409)
@@ -1,3 +1,22 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | Manage Properties Photos plugin for Piwigo                            |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2014-2016 ddtddt               http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 
 if (!defined('PHPWG_ROOT_PATH'))
Index: /extensions/manage_properties_photos/include/function.aip.inc.php
===================================================================
--- /extensions/manage_properties_photos/include/function.aip.inc.php	(revision 31408)
+++ /extensions/manage_properties_photos/include/function.aip.inc.php	(revision 31409)
@@ -1,3 +1,24 @@
 <?php 
+
+// +-----------------------------------------------------------------------+
+// | Manage Properties Photos plugin for Piwigo                            |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2014-2016 ddtddt               http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
 /*picture*/
 function tab_add_info_one_photo($id_img){
Index: /extensions/manage_properties_photos/initadmin.php
===================================================================
--- /extensions/manage_properties_photos/initadmin.php	(revision 31408)
+++ /extensions/manage_properties_photos/initadmin.php	(revision 31409)
@@ -3,5 +3,5 @@
 // | Manage Properties Photos plugin for Piwigo                            |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2014-2016 ddtddt                      http://temmii.com |
+// | Copyright(C) 2014-2016 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/manage_properties_photos/initpicture.php
===================================================================
--- /extensions/manage_properties_photos/initpicture.php	(revision 31408)
+++ /extensions/manage_properties_photos/initpicture.php	(revision 31409)
@@ -1,3 +1,22 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | Manage Properties Photos plugin for Piwigo                            |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2014-2016 ddtddt               http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 
 //Ajout du prefiltre
Index: /extensions/manage_properties_photos/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/manage_properties_photos/language/en_UK/plugin.lang.php	(revision 31408)
+++ /extensions/manage_properties_photos/language/en_UK/plugin.lang.php	(revision 31409)
@@ -3,5 +3,5 @@
 // | Manage Properties Photos plugin for Piwigo                            |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2014-2016 ddtddt                      http://temmii.com |
+// | Copyright(C) 2014-2016 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/manage_properties_photos/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/manage_properties_photos/language/fr_FR/plugin.lang.php	(revision 31408)
+++ /extensions/manage_properties_photos/language/fr_FR/plugin.lang.php	(revision 31409)
@@ -3,5 +3,5 @@
 // | Manage Properties Photos plugin for Piwigo                            |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2014-2016 ddtddt                      http://temmii.com |
+// | Copyright(C) 2014-2016 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/manage_properties_photos/main.inc.php
===================================================================
--- /extensions/manage_properties_photos/main.inc.php	(revision 31408)
+++ /extensions/manage_properties_photos/main.inc.php	(revision 31409)
@@ -1,7 +1,16 @@
 <?php
+/*
+Plugin Name: Manage Properties Photos
+Version: auto
+Description: Add properties on photo page and organize this
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=783
+Author: ddtddt
+Author URI: http://temmii.com/piwigo/
+*/
+
 // +-----------------------------------------------------------------------+
 // | Manage Properties Photos plugin for Piwigo                            |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2014-2016 ddtddt                      http://temmii.com |
+// | Copyright(C) 2014-2016 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -19,12 +28,5 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-/*
-Plugin Name: Manage Properties Photos
-Version: auto
-Description: Add properties on photo page and organize this
-Plugin URI: http://piwigo.org/ext/extension_view.php?eid=783
-Author: ddtddt
-Author URI: http://temmii.com/
-*/
+
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
Index: /extensions/manage_properties_photos/maintain.class.php
===================================================================
--- /extensions/manage_properties_photos/maintain.class.php	(revision 31408)
+++ /extensions/manage_properties_photos/maintain.class.php	(revision 31409)
@@ -1,3 +1,23 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | Manage Properties Photos plugin for Piwigo                            |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2014-2016 ddtddt               http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
 defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');
 