Index: /extensions/Contact1menu/index.php
===================================================================
--- /extensions/Contact1menu/index.php	(revision 31456)
+++ /extensions/Contact1menu/index.php	(revision 31457)
@@ -1,25 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
 // Recursive call
 $url = '../';
Index: /extensions/Contact1menu/initadmin.php
===================================================================
--- /extensions/Contact1menu/initadmin.php	(revision 31456)
+++ /extensions/Contact1menu/initadmin.php	(revision 31457)
@@ -1,3 +1,23 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | Contact 1 menu plugin for piwigo                                      |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 - 2016 ddtddt             http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
 add_event_handler('loc_begin_admin_page', 'C1M_admin_menu' );
 	
Index: /extensions/Contact1menu/language/en_UK/index.php
===================================================================
--- /extensions/Contact1menu/language/en_UK/index.php	(revision 31456)
+++ /extensions/Contact1menu/language/en_UK/index.php	(revision 31457)
@@ -1,25 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
 // Recursive call
 $url = '../';
Index: /extensions/Contact1menu/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Contact1menu/language/en_UK/plugin.lang.php	(revision 31456)
+++ /extensions/Contact1menu/language/en_UK/plugin.lang.php	(revision 31457)
@@ -1,3 +1,22 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | Contact 1 menu plugin for piwigo                                      |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 - 2016 ddtddt             http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 //ADMIN
 $lang['The plugin ContactForm must be installed and activated in order to use Contact1menu'] = 'The plugin ContactForm must be installed and activated in order to use Contact1menu';
Index: /extensions/Contact1menu/language/fr_FR/index.php
===================================================================
--- /extensions/Contact1menu/language/fr_FR/index.php	(revision 31456)
+++ /extensions/Contact1menu/language/fr_FR/index.php	(revision 31457)
@@ -1,25 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
 // Recursive call
 $url = '../';
Index: /extensions/Contact1menu/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Contact1menu/language/fr_FR/plugin.lang.php	(revision 31456)
+++ /extensions/Contact1menu/language/fr_FR/plugin.lang.php	(revision 31457)
@@ -1,3 +1,22 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | Contact 1 menu plugin for piwigo                                      |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 - 2016 ddtddt             http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 //ADMIN
 $lang['The plugin ContactForm must be installed and activated in order to use Contact1menu'] = 'Le plugin Contact form doit être installé et activé pour utiliser le plugin Contact 1 menu';
Index: /extensions/Contact1menu/main.inc.php
===================================================================
--- /extensions/Contact1menu/main.inc.php	(revision 31456)
+++ /extensions/Contact1menu/main.inc.php	(revision 31457)
@@ -6,6 +6,26 @@
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=479
 Author: ddtddt
-Author URI:http://piwigo.org
+Author URI: http://temmii.com/piwigo/
 */
+
+// +-----------------------------------------------------------------------+
+// | Contact 1 menu plugin for piwigo                                      |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 - 2016 ddtddt             http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');