Index: /extensions/PersoFooter/admin.php
===================================================================
--- /extensions/PersoFooter/admin.php	(revision 31458)
+++ /extensions/PersoFooter/admin.php	(revision 31458)
@@ -0,0 +1,86 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Perso Footer plugin for piwigo                                        |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2011 - 2016 ddtddt             http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+global $template, $conf, $user;
+include_once(PHPWG_ROOT_PATH .'admin/include/tabsheet.class.php');
+load_language('plugin.lang', PFT_PATH);
+$my_base_url = PHPWG_ROOT_PATH.'admin.php?page=plugin-';
+
+// +-----------------------------------------------------------------------+
+// | Check Access and exit when user status is not ok                      |
+// +-----------------------------------------------------------------------+
+check_status(ACCESS_ADMINISTRATOR);
+
+//-------------------------------------------------------- sections definitions
+
+	  if (!is_webmaster())
+  {
+    array_push($page['errors'], l10n('This section is reserved for the webmaster'));
+  }
+  else
+  {
+
+// Gestion des onglets
+if (!isset($_GET['tab']))
+    $page['tab'] = 'gest';
+else
+    $page['tab'] = $_GET['tab'];
+
+$tabsheet = new tabsheet();
+  $tabsheet->add('gest', l10n('pft_tab_gest'), PFT_ADMIN . '-gest');
+  $tabsheet->add('help', l10n('pft_tab_help'), PFT_ADMIN . '-help');
+$tabsheet->select($page['tab']);
+$tabsheet->assign();
+
+// Onglet gest
+switch ($page['tab']){
+  case 'gest':
+   
+  $template->assign('gestA',array('PFTBASE' => $conf['persoFooter'],));
+    $PAED = pwg_db_fetch_assoc(pwg_query("SELECT state FROM " . PLUGINS_TABLE . " WHERE id = 'ExtendedDescription';"));
+	if($PAED['state'] == 'active'){
+	  $template->assign('useED',1);
+    }else{
+      $template->assign('useED',0);
+    }
+
+if (isset($_POST['submitpft']))
+	{
+conf_update_param('persoFooter', $_POST['perso_footer']);
+$template->assign(
+    'gestA',
+    array('PFTBASE' => stripslashes($_POST['perso_footer']),));
+	array_push($page['infos'], l10n('Configuration update'));
+	}
+  break;
+  case 'help':
+$template->assign(
+    'gestB',
+	array('meta'=>l10n('nul'),));
+	
+  break;
+}
+
+$template->set_filenames(array('plugin_admin_content' => dirname(__FILE__) . '/admin.tpl')); 
+$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
+}
+?>
Index: /extensions/PersoFooter/admin.tpl
===================================================================
--- /extensions/PersoFooter/admin.tpl	(revision 31458)
+++ /extensions/PersoFooter/admin.tpl	(revision 31458)
@@ -0,0 +1,30 @@
+<div class="titrePage">
+  <h2>{'pft_h2'|@translate}</h2>
+</div>
+<div id="configContent">
+{if isset ($gestA)}
+	<form method="post" >
+	 <fieldset id="mainConf">
+			<span class="property">
+				<label for="pftperso">{'pft_perso'|@translate}</label><br><br>
+			</span>
+			<textarea rows="5" cols="50" {if $useED==1}placeholder="{'Use Extended Description tags...'|@translate}"{/if} class="description" name="perso_footer" id="perso_footer">{$gestA.PFTBASE}</textarea>
+  <p>
+    <input class="submit" type="submit" name="submitpft" value="{'Submit'|@translate}">
+    <input class="submit" type="reset" name="reset" value="{'Reset'|@translate}">
+  </p>
+  	</form>
+{/if}
+
+{if isset ($gestB)}
+	<div class="comment">
+		<h3>{'pft_css'|@translate}</h3>
+			{'pft_css_help'|@translate}
+	</div>
+	<br>
+	<div class="comment">
+		<h3>{'pft_ED'|@translate}</h3>
+			{'pft_ED_help'|@translate}
+	</div>
+{/if}
+</div>
Index: /extensions/PersoFooter/index.php
===================================================================
--- /extensions/PersoFooter/index.php	(revision 31457)
+++ /extensions/PersoFooter/index.php	(revision 31458)
@@ -1,25 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
 // Recursive call
 $url = '../';
Index: /extensions/PersoFooter/language/en_UK/index.php
===================================================================
--- /extensions/PersoFooter/language/en_UK/index.php	(revision 31457)
+++ /extensions/PersoFooter/language/en_UK/index.php	(revision 31458)
@@ -1,25 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
 // Recursive call
 $url = '../';
Index: /extensions/PersoFooter/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/PersoFooter/language/en_UK/plugin.lang.php	(revision 31457)
+++ /extensions/PersoFooter/language/en_UK/plugin.lang.php	(revision 31458)
@@ -1,3 +1,22 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | Perso Footer plugin for piwigo                                        |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2011 - 2016 ddtddt             http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 
 $lang['pft_h2'] = 'Personal Footer';
Index: /extensions/PersoFooter/language/fr_FR/index.php
===================================================================
--- /extensions/PersoFooter/language/fr_FR/index.php	(revision 31457)
+++ /extensions/PersoFooter/language/fr_FR/index.php	(revision 31458)
@@ -1,25 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
 // Recursive call
 $url = '../';
Index: /extensions/PersoFooter/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/PersoFooter/language/fr_FR/plugin.lang.php	(revision 31457)
+++ /extensions/PersoFooter/language/fr_FR/plugin.lang.php	(revision 31458)
@@ -1,3 +1,22 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | Perso Footer plugin for piwigo                                        |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2011 - 2016 ddtddt             http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 $lang['pft_h2'] = 'Pied de Page Personnel';
 
Index: /extensions/PersoFooter/main.inc.php
===================================================================
--- /extensions/PersoFooter/main.inc.php	(revision 31457)
+++ /extensions/PersoFooter/main.inc.php	(revision 31458)
@@ -6,6 +6,25 @@
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=554
 Author: ddtddt
-Author URI: http://piwigo.org/
+Author URI: http://temmii.com/piwigo/
 */
+// +-----------------------------------------------------------------------+
+// | Perso Footer plugin for piwigo                                        |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2011 - 2016 ddtddt             http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
@@ -13,4 +32,5 @@
 define('PFT_DIR' , basename(dirname(__FILE__)));
 define('PFT_PATH' , PHPWG_PLUGINS_PATH . PFT_DIR . '/');
+define('PFT_ADMIN',get_root_url().'admin.php?page=plugin-'.PFT_DIR);
 
 add_event_handler('get_admin_plugin_menu_links', 'PFT_admin_menu');
@@ -19,5 +39,5 @@
   array_push($menu, array(
 	'NAME' => 'Perso Footer',
-    'URL' => get_admin_plugin_menu_link(PFT_PATH . 'admin/admin.php')));
+    'URL' => get_admin_plugin_menu_link(PFT_PATH . 'admin.php')));
   return $menu;
 }
Index: /extensions/PersoFooter/maintain.class.php
===================================================================
--- /extensions/PersoFooter/maintain.class.php	(revision 31458)
+++ /extensions/PersoFooter/maintain.class.php	(revision 31458)
@@ -0,0 +1,40 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Perso Footer plugin for piwigo                                        |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2011 - 2016 ddtddt             http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+class PersoFooter_maintain extends PluginMaintain
+{
+  function install($plugin_version, &$errors=array())
+  {
+    $query = 'INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment) VALUES ("persoFooter","","html displayed on the footer page of your galler...");';
+    pwg_query($query);
+  }
+
+  function update($old_version, $new_version, &$errors=array())
+  {
+  }
+
+  function uninstall()
+  {
+	conf_delete_param('persoFooter');
+  }
+}
Index: tensions/PersoFooter/maintain.inc.php
===================================================================
--- /extensions/PersoFooter/maintain.inc.php	(revision 31457)
+++ 	(revision )
@@ -1,21 +1,0 @@
-<?php
-
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-
-function plugin_install()
-{
-    
-	
-	$query = 'INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment) VALUES ("persoFooter","","html displayed on the footer page of your galler...");';
-    pwg_query($query);
-
-}
-
-function plugin_uninstall()
-{
-	$q = 'DELETE FROM ' . CONFIG_TABLE . ' WHERE param="persoFooter" LIMIT 1;';
-    pwg_query($q);
-}
-
-
-?>
Index: /extensions/PersoFooter/obsolete.list
===================================================================
--- /extensions/PersoFooter/obsolete.list	(revision 31458)
+++ /extensions/PersoFooter/obsolete.list	(revision 31458)
@@ -0,0 +1,3 @@
+maintain.inc.php
+admin/admin.php
+admin/admin.tpl