Index: /extensions/see_my_photos/index.php
===================================================================
--- /extensions/see_my_photos/index.php	(revision 31458)
+++ /extensions/see_my_photos/index.php	(revision 31459)
@@ -1,25 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
 // Recursive call
 $url = '../';
Index: /extensions/see_my_photos/language/en_UK/index.php
===================================================================
--- /extensions/see_my_photos/language/en_UK/index.php	(revision 31458)
+++ /extensions/see_my_photos/language/en_UK/index.php	(revision 31459)
@@ -1,25 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
 // Recursive call
 $url = '../';
Index: /extensions/see_my_photos/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/see_my_photos/language/en_UK/plugin.lang.php	(revision 31458)
+++ /extensions/see_my_photos/language/en_UK/plugin.lang.php	(revision 31459)
@@ -1,3 +1,22 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | See My Photos plugin for piwigo                                       |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2014 - 2016 ddtddt             http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 $lang['My photos'] = 'My photos';
 ?>
Index: /extensions/see_my_photos/language/fr_FR/index.php
===================================================================
--- /extensions/see_my_photos/language/fr_FR/index.php	(revision 31458)
+++ /extensions/see_my_photos/language/fr_FR/index.php	(revision 31459)
@@ -1,25 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
 // Recursive call
 $url = '../';
Index: /extensions/see_my_photos/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/see_my_photos/language/fr_FR/plugin.lang.php	(revision 31458)
+++ /extensions/see_my_photos/language/fr_FR/plugin.lang.php	(revision 31459)
@@ -1,3 +1,22 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | See My Photos plugin for piwigo                                       |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2014 - 2016 ddtddt             http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 $lang['My photos'] = 'Mes photos';
 ?>
Index: /extensions/see_my_photos/main.inc.php
===================================================================
--- /extensions/see_my_photos/main.inc.php	(revision 31458)
+++ /extensions/see_my_photos/main.inc.php	(revision 31459)
@@ -6,6 +6,25 @@
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=722
 Author: ddtddt
-Author URI: 
+Author URI: http://temmii.com/piwigo/
 */
+// +-----------------------------------------------------------------------+
+// | See My Photos plugin for piwigo                                       |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2014 - 2016 ddtddt             http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
@@ -18,10 +37,13 @@
 add_event_handler('loc_end_section_init', 'section_init_SMP');
 
+add_event_handler('loading_lang', 'see_my_photos_loading_lang');	  
+function see_my_photos_loading_lang(){
+  load_language('plugin.lang', SMP_PATH);
+}
 
-function add_link_SMP($menu_ref_arr)
- {
+
+function add_link_SMP($menu_ref_arr){
   global $conf, $user;
-	
-   $query = '
+  $query = '
   SELECT DISTINCT(id)
   FROM '.IMAGES_TABLE.'
@@ -37,34 +59,26 @@
     'WHERE'
   ).'
-  AND added_by = \''.$user['id'].'\'
-;';
+  AND added_by = \''.$user['id'].'\';';
   $result = pwg_query($query);
   $row = pwg_db_fetch_assoc($result);
-$nbp=count(array_from_query($query, 'id'));
-
- if (!is_a_guest() and !empty($row))
-  {  
-  $menu = & $menu_ref_arr[0];
-  if (($block = $menu->get_block('mbSpecials')) != null)
-   {
-   load_language('plugin.lang', SMP_PATH);
-   $position = (isset($conf['SMP_position']) and is_numeric($conf['SMP_position'])) ? $conf['SMP_position'] : count($block->data)+1;
-   array_splice($block->data, $position-1, 0, array('see_my_photos' =>
-      array(
+  $nbp=count(array_from_query($query, 'id'));
+  if (!is_a_guest() and !empty($row)){ 
+    $menu = & $menu_ref_arr[0];
+    if (($block = $menu->get_block('mbSpecials')) != null){
+	  $position = (isset($conf['SMP_position']) and is_numeric($conf['SMP_position'])) ? $conf['SMP_position'] : count($block->data)+1;
+      array_splice($block->data, $position-1, 0, array('see_my_photos' =>
+       array(
         'URL' => make_index_url(array('section' => 'see_my_photos')),
         'TITLE' => l10n('My photos'),
         'NAME' => l10n('My photos').' ('.$nbp.')',
-        )
-      )
-    );
-   }
-	}
+      )));
+    }
+  }
 }
 
-function section_init_SMP()
- {
- global $tokens;
+function section_init_SMP(){
+  global $tokens;
   if (in_array('see_my_photos', $tokens))
-  include(SMP_PATH . 'pagessmp.php');
- }
+    include(SMP_PATH . 'pagessmp.php');
+}
 ?>
Index: /extensions/see_my_photos/pagessmp.php
===================================================================
--- /extensions/see_my_photos/pagessmp.php	(revision 31458)
+++ /extensions/see_my_photos/pagessmp.php	(revision 31459)
@@ -1,10 +1,28 @@
 <?php
-load_language('plugin.lang', SMP_PATH);
+// +-----------------------------------------------------------------------+
+// | See My Photos plugin for piwigo                                       |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2014 - 2016 ddtddt             http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 
 global $page, $conf, $user;
-        $forbidden = get_sql_condition_FandF(
-              array( 'visible_images' => 'id' ),
-              'AND'
-          );
+$forbidden = get_sql_condition_FandF(
+  array( 'visible_images' => 'id' ),
+  'AND'
+);
 $page['section'] = 'see_my_photos';
 $page['section_title'] =  '<a href="'.get_absolute_root_url().'">'.l10n('Home').'</a>'.$conf['level_separator']. '<a href="'.get_absolute_root_url().'index.php?/see_my_photos">'.l10n('My photos').'</a>';
@@ -25,11 +43,8 @@
   ).'
  AND added_by = \''.$user['id'].'\'
- '.$conf['order_by'].'
-;';
- $page = array_merge
- (
+ '.$conf['order_by'].';';
+$page = array_merge(
  $page,
-  array
-	(
+  array(
   'title' => '<a href="'.duplicate_index_url(array('start'=>0)).'">'.l10n('See photos by author').'</a>',
   'items' => array_from_query($query, 'id'),