Index: /extensions/user_delete_photo/admin.php
===================================================================
--- /extensions/user_delete_photo/admin.php	(revision 31464)
+++ /extensions/user_delete_photo/admin.php	(revision 31464)
@@ -0,0 +1,93 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | user delete photo plugin for piwigo                                   |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2013 - 2016 ddtddt             http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+global $template, $conf, $user;
+include_once(PHPWG_ROOT_PATH .'admin/include/tabsheet.class.php');
+$my_base_url = get_admin_plugin_menu_link(__FILE__);
+
+// +-----------------------------------------------------------------------+
+// | Check Access and exit when user status is not ok                      |
+// +-----------------------------------------------------------------------+
+check_status(ACCESS_ADMINISTRATOR);
+
+//-------------------------------------------------------- sections definitions
+
+// Gestion des onglets
+if (!isset($_GET['tab']))
+    $page['tab'] = 'gestion';
+else
+    $page['tab'] = $_GET['tab'];
+
+$tabsheet = new tabsheet();
+  $tabsheet->add('gestion', l10n('Configuration'), UDP_ADMIN . '-gestion');
+$tabsheet->select($page['tab']);
+$tabsheet->assign();
+
+// Onglet gest
+switch ($page['tab'])
+{
+  case 'gestion':
+
+  global $conf;
+  
+    $selected = $conf['udp'];
+	$options['Author'] = l10n('Author');
+	$options['datecreate'] = l10n('Created on');
+	$options['datepost'] = l10n('Posted on');
+	$options['Dimensions'] = l10n('Dimensions');
+	$options['File'] = l10n('File');
+	$options['Filesize'] = l10n('Filesize');
+	$options['Tags'] = l10n('tags');
+	$options['Categories'] = l10n('Albums');
+	$options['Visits'] = l10n('Visits');
+	$options['Average'] = l10n('Rating score');
+
+	
+
+  $template->assign(
+    'gestionA',
+    array(
+      'OPTIONS' => $options,
+      'SELECTED' => $selected
+      ));
+   
+
+if (isset($_POST['infoudp']))
+	{
+conf_update_param('udp', $_POST['infoudp']);
+$template->delete_compiled_templates();
+array_push($page['infos'], l10n('Your configuration settings are saved'));
+
+  $selected = $_POST['infoudp'];
+  $template->assign(
+    'gestionA',
+    array(
+      'OPTIONS' => $options,
+      'SELECTED' => $selected
+      ));
+	}
+  break;
+} 
+
+$template->set_filenames(array('plugin_admin_content' => dirname(__FILE__) . '/admin.tpl')); 
+$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
+?>
Index: /extensions/user_delete_photo/admin.tpl
===================================================================
--- /extensions/user_delete_photo/admin.tpl	(revision 31464)
+++ /extensions/user_delete_photo/admin.tpl	(revision 31464)
@@ -0,0 +1,18 @@
+<div class="titrePage">
+  <h2>user delete photo</h2>
+</div>
+{if isset ($gestionA)}
+	<div>
+		<form method="post">
+			<fieldset>
+				<legend>{'Add information before'|@translate}</legend>
+		{html_options name="infoudp" options=$gestionA.OPTIONS selected=$gestionA.SELECTED}
+				<br>	
+				<br>
+					<div style="text-align:center;">
+					<input class="submit" name="submitudp" type="submit" value="{'Save Settings'|@translate}">
+					</div>
+			</fieldset>
+		</form>
+	</div>
+{/if}
Index: /extensions/user_delete_photo/initpicture.php
===================================================================
--- /extensions/user_delete_photo/initpicture.php	(revision 31463)
+++ /extensions/user_delete_photo/initpicture.php	(revision 31464)
@@ -1,3 +1,23 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | user delete photo plugin for piwigo                                   |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2013 - 2016 ddtddt             http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
 //Add prefilter
 add_event_handler('loc_begin_picture', 'udp', 55 );
Index: /extensions/user_delete_photo/language/en_UK/index.php
===================================================================
--- /extensions/user_delete_photo/language/en_UK/index.php	(revision 31463)
+++ /extensions/user_delete_photo/language/en_UK/index.php	(revision 31464)
@@ -1,25 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
 // Recursive call
 $url = '../';
Index: /extensions/user_delete_photo/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/user_delete_photo/language/en_UK/plugin.lang.php	(revision 31463)
+++ /extensions/user_delete_photo/language/en_UK/plugin.lang.php	(revision 31464)
@@ -1,4 +1,25 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | user delete photo plugin for piwigo                                   |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2013 - 2016 ddtddt             http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
 $lang['Add information before'] = 'Add information before';
 $lang['Photo deleted'] = 'Photo deleted';
+$lang['user delete photo'] = 'user delete photo';
 ?>
Index: /extensions/user_delete_photo/language/fr_FR/index.php
===================================================================
--- /extensions/user_delete_photo/language/fr_FR/index.php	(revision 31463)
+++ /extensions/user_delete_photo/language/fr_FR/index.php	(revision 31464)
@@ -1,25 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
 // Recursive call
 $url = '../';
Index: /extensions/user_delete_photo/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/user_delete_photo/language/fr_FR/plugin.lang.php	(revision 31463)
+++ /extensions/user_delete_photo/language/fr_FR/plugin.lang.php	(revision 31464)
@@ -1,4 +1,24 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | user delete photo plugin for piwigo                                   |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2013 - 2016 ddtddt             http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 $lang['Add information before'] = 'Ajouter l\'information avant';
 $lang['Photo deleted'] = 'Photo supprimée';
+$lang['user delete photo'] = 'user delete photo';
 ?>
Index: /extensions/user_delete_photo/main.inc.php
===================================================================
--- /extensions/user_delete_photo/main.inc.php	(revision 31463)
+++ /extensions/user_delete_photo/main.inc.php	(revision 31464)
@@ -6,6 +6,26 @@
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=690
 Author: ddtddt
-Author URI: 
+Author URI: http://temmii.com/piwigo/
 */
+
+// +-----------------------------------------------------------------------+
+// | user delete photo plugin for piwigo                                   |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2013 - 2016 ddtddt             http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
@@ -15,9 +35,13 @@
 define('UDP_DIR' , basename(dirname(__FILE__)));
 define('UDP_PATH' , PHPWG_PLUGINS_PATH . UDP_DIR . '/');
+define('UDP_ADMIN',get_root_url().'admin.php?page=plugin-'.UDP_DIR);
 
+add_event_handler('loading_lang', 'user_delete_photo_loading_lang');	  
+function user_delete_photo_loading_lang(){
+  load_language('plugin.lang', UDP_PATH);
+}
 
  // Plugin on picture page
-if (script_basename() == 'picture')  
-{  
+if (script_basename() == 'picture'){  
   include_once(dirname(__FILE__).'/initpicture.php');
 }
@@ -25,10 +49,10 @@
 // menu admin
 add_event_handler('get_admin_plugin_menu_links', 'UDP_admin_menu');
-function UDP_admin_menu($menu)
-{
-  array_push($menu, array(
-	'NAME' => 'user delete photo',
-    'URL' => get_admin_plugin_menu_link(UDP_PATH . 'admin/admin.php')));
-  return $menu;
+function UDP_admin_menu($menu){
+    $menu[] = array(
+        'NAME' => l10n('user delete photo'),
+        'URL' => UDP_ADMIN,
+    );
+     return $menu;
 }
 
Index: /extensions/user_delete_photo/maintain.class.php
===================================================================
--- /extensions/user_delete_photo/maintain.class.php	(revision 31464)
+++ /extensions/user_delete_photo/maintain.class.php	(revision 31464)
@@ -0,0 +1,40 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | user delete photo plugin for piwigo                                   |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2013 - 2016 ddtddt             http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+class user_delete_photo_maintain extends PluginMaintain
+{
+  function install($plugin_version, &$errors=array())
+  {
+	$query = 'INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment) VALUES ("udp","Categories","user delete photo");';
+    pwg_query($query);
+  }
+
+  function update($old_version, $new_version, &$errors=array())
+  {
+  }
+
+  function uninstall()
+  {
+	conf_delete_param('udp');
+  }
+}
Index: tensions/user_delete_photo/maintain.inc.php
===================================================================
--- /extensions/user_delete_photo/maintain.inc.php	(revision 31463)
+++ 	(revision )
@@ -1,25 +1,0 @@
-<?php
-
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-
-function plugin_install()
-{
-    global $prefixeTable;
-
-	$query = 'INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment) VALUES ("udp","datecreate","user delete photo");';
-    pwg_query($query);
-
-}
-
-
-function plugin_uninstall()
-{
-	global $prefixeTable;
-
-
-	$q = 'DELETE FROM ' . CONFIG_TABLE . ' WHERE param="udp" LIMIT 1;';
-    pwg_query($q);
-}
-
-
-?>
Index: /extensions/user_delete_photo/obsolete.list
===================================================================
--- /extensions/user_delete_photo/obsolete.list	(revision 31464)
+++ /extensions/user_delete_photo/obsolete.list	(revision 31464)
@@ -0,0 +1,3 @@
+maintain.inc.php
+admin/admin.php
+admin/admin.tpl